commit:     f08afe78c1339c5c4b048912969dc6b95bf55fe4
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 19 12:04:11 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Jul 19 12:04:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f08afe78

net-dialup/rp-pppoe: Removed old.

Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-dialup/rp-pppoe/Manifest                       |   2 -
 .../rp-pppoe/files/rp-pppoe-3.8-autoheader.patch   |  46 -------
 .../rp-pppoe/files/rp-pppoe-3.8-configure.patch    |  70 ----------
 .../files/rp-pppoe-3.8-gentoo-netscripts.patch     | 150 ---------------------
 .../files/rp-pppoe-3.8-plugin-options.patch        |  33 -----
 .../files/rp-pppoe-3.8-session-offset.patch        |  21 ---
 .../files/rp-pppoe-3.8-username-charset.patch      |  58 --------
 net-dialup/rp-pppoe/rp-pppoe-3.11-r2.ebuild        |  92 -------------
 net-dialup/rp-pppoe/rp-pppoe-3.8-r2.ebuild         |  81 -----------
 9 files changed, 553 deletions(-)

diff --git a/net-dialup/rp-pppoe/Manifest b/net-dialup/rp-pppoe/Manifest
index bc19c7b..5af76cd 100644
--- a/net-dialup/rp-pppoe/Manifest
+++ b/net-dialup/rp-pppoe/Manifest
@@ -1,5 +1,3 @@
-DIST ppp-2.4.3.tar.gz 688092 SHA256 
1e0fddb5f53613dd14ab10b25435e88092fed1eff09b4ac4448d5be01f3b0b11 SHA512 
221f0925ec8bb73df740cd563a34f387ce8bf2417d2797e7f360563d8de6524e1cdf058c185eaefc9cb3703828d32c6f1b74595916683e08168ce792c5f8333e
 WHIRLPOOL 
c6a7538f107adca4f7fcdfccec5aef4ebba248958c05b94badcf0f1a2ebde667cf55f9adf3bd8eae8c0e6a37ed54c1f836117412d1135363bdfa279197981c6e
 DIST ppp-2.4.7.tar.gz 688117 SHA256 
02e0a3dd3e4799e33103f70ec7df75348c8540966ee7c948e4ed8a42bbccfb30 SHA512 
e34ce24020af6a73e7a26c83c4f73a9c83fa455b7b363794dba27bf01f70368be06bff779777843949bd77f4bc9385d6ad455ea48bf8fff4e0d73cc8fef16ae2
 WHIRLPOOL 
48f3251e6b955ecfdaf9260b9ea5220d9e355fff836e2f5217ee0b15bf2c93e43f8207005f58bf1f97fb8ff0c76c56df8ecd8536f63c4d84d5940458ba0ba5c3
 DIST rp-pppoe-3.11.tar.gz 223234 SHA256 
86a1a4d92fcea74fa6dd45516c5975933fa978b36fafe71f76ea70b4b4747720 SHA512 
cb9579ad94f6b6cfd709e8061aacac0a007f1f58ffd50bd0603f5a2b612c0cf4831febdbfeee290b97932fd30f8ae7f707d532a291124c4aeae2333131d53905
 WHIRLPOOL 
5e0580b469973726696adc8754f4490877b748e04395873b63a7f6b87b682e0fe4d75f53b1cab674932fe7dcf4d7c99458979926f74589e6d4e15b07505720f6
 DIST rp-pppoe-3.12.tar.gz 224125 SHA256 
00794e04031546b0e9b8cf286f2a6d1ccfc4a621b2a3abb2d7ef2a7ab7cc86c2 SHA512 
1b9e4c806fcbad1bc21f7b74a780ae98682b10a69d91fb08df6dbd1fff86f6271995ebded43f926f8249a17cdddb541edccbbb3ee28e1a2dc89173ad61cd3de1
 WHIRLPOOL 
3285578003c1f03037517e468829e72cc4bbaeeb78f40bbcaf27a077ab3437fa4139bb7b141311658dbff55597da42d66c31155a180ed9acfefdc73dab1fffaf
-DIST rp-pppoe-3.8.tar.gz 212931 SHA256 
d916e9cfe1e62395f63a5361936fa855f6d0f0a37dc7227b394cdb725f553479 SHA512 
fd929978790645639800164ad1855862f2b2ec4597a2c4c76ea7691aafd7f6ab5797fc64034eefb574dcf6dd51c51eda91c461f70bf4f557d46fee656143effc
 WHIRLPOOL 
048789a83cfcd50d95779c2eb5f31553500288138e70c6daa511e91edcf4010e17d9d106e8f1338741b1be7b5a9bf058a6bfafea0ff27665d2e53667d5bf3427

diff --git a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-autoheader.patch 
b/net-dialup/rp-pppoe/files/rp-pppoe-3.8-autoheader.patch
deleted file mode 100644
index 1c90260..0000000
--- a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-autoheader.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-diff -Nru rp-pppoe-3.8.orig/src/configure.in rp-pppoe-3.8/src/configure.in
---- rp-pppoe-3.8.orig/src/configure.in 2008-06-15 16:59:01.000000000 +0300
-+++ rp-pppoe-3.8/src/configure.in      2008-06-15 17:12:02.000000000 +0300
-@@ -44,7 +44,7 @@
- AC_MSG_RESULT($ac_cv_struct_sockaddr_ll)
- 
- if test "$ac_cv_struct_sockaddr_ll" = yes ; then
--AC_DEFINE(HAVE_STRUCT_SOCKADDR_LL)
-+AC_DEFINE(HAVE_STRUCT_SOCKADDR_LL, 1, [Define if you have struct sockaddr_ll])
- fi
- 
- dnl Check for N_HDLC line discipline
-@@ -55,7 +55,7 @@
-       ac_cv_n_hdlc=no)
- AC_MSG_RESULT($ac_cv_n_hdlc)
- if test "$ac_cv_n_hdlc" = yes ; then
--AC_DEFINE(HAVE_N_HDLC)
-+AC_DEFINE(HAVE_N_HDLC, 1, [Define if you have the N_HDLC line discipline in 
linux/termios.h])
- fi
- 
- AC_ARG_ENABLE(plugin, [  --enable-plugin=pppd_src_path   build pppd plugin], 
ac_cv_pluginpath=$enableval, ac_cv_pluginpath=no)
-@@ -100,13 +100,13 @@
- if test "$ac_cv_header_linux_if_pppox_h" = yes ; then
-       if test "$ac_cv_pluginpath" != no ; then
-               LINUX_KERNELMODE_PLUGIN=rp-pppoe.so
--              AC_DEFINE(HAVE_LINUX_KERNEL_PPPOE)
-+              AC_DEFINE(HAVE_LINUX_KERNEL_PPPOE, 1, [Define if you have 
kernel-mode PPPoE in Linux file])
-               PPPD_INCDIR=$ac_cv_pluginpath
-       fi
- fi
- 
- if test "$ac_cv_debugging" = "yes" ; then
--   AC_DEFINE(DEBUGGING_ENABLED)
-+   AC_DEFINE(DEBUGGING_ENABLED, 1, [Define to include debugging code])
- fi
- 
- AC_SUBST(LINUX_KERNELMODE_PLUGIN)
-@@ -248,7 +248,7 @@
- 
- if test "$rpppoe_cv_pack_bitfields" = "rev" ; then
-       AC_MSG_RESULT(reversed)
--      AC_DEFINE(PACK_BITFIELDS_REVERSED)
-+      AC_DEFINE(PACK_BITFIELDS_REVERSED, 1, [Define if bitfields are packed 
in reverse order])
- else
-       AC_MSG_RESULT(normal)
- fi

diff --git a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-configure.patch 
b/net-dialup/rp-pppoe/files/rp-pppoe-3.8-configure.patch
deleted file mode 100644
index 054d419..0000000
--- a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-configure.patch
+++ /dev/null
@@ -1,70 +0,0 @@
-diff -Nru rp-pppoe-3.8.orig/gui/Makefile.in rp-pppoe-3.8/gui/Makefile.in
---- rp-pppoe-3.8.orig/gui/Makefile.in  2006-09-23 18:05:31.000000000 +0300
-+++ rp-pppoe-3.8/gui/Makefile.in       2006-09-23 18:16:02.623018000 +0300
-@@ -46,7 +46,7 @@
-       -mkdir -p $(RPM_INSTALL_ROOT)$(sbindir)
-       -mkdir -p $(RPM_INSTALL_ROOT)$(bindir)
-       -mkdir -p $(RPM_INSTALL_ROOT)/etc/ppp/rp-pppoe-gui
--      $(install) -m 4755 -s pppoe-wrapper $(RPM_INSTALL_ROOT)$(sbindir)
-+      $(install) -m 4755 pppoe-wrapper $(RPM_INSTALL_ROOT)$(sbindir)
-       $(install) -m 755 tkpppoe $(RPM_INSTALL_ROOT)$(bindir)
-       -mkdir -p $(RPM_INSTALL_ROOT)$(mandir)/man1
-       $(install) -m 644 pppoe-wrapper.1 $(RPM_INSTALL_ROOT)$(mandir)/man1
-diff -Nru rp-pppoe-3.8.orig/src/configure.in rp-pppoe-3.8/src/configure.in
---- rp-pppoe-3.8.orig/src/configure.in 2006-04-02 17:29:42.000000000 +0300
-+++ rp-pppoe-3.8/src/configure.in      2007-01-05 00:12:48.000000000 +0200
-@@ -145,15 +145,15 @@
- AC_MSG_CHECKING(for Linux 2.4.X kernel-mode PPPoE support)
- AC_CACHE_VAL(ac_cv_linux_kernel_pppoe,[
- if test "`uname -s`" = "Linux" ; then
--if test $cross_compiling = "no"; then
-+dnl if test $cross_compiling = "no"; then
- 
- dnl Do a bunch of modprobes.  Can't hurt; might help.
--modprobe ppp_generic > /dev/null 2>&1
--modprobe ppp_async > /dev/null 2>&1
--modprobe n_hdlc > /dev/null 2>&1
--modprobe ppp_synctty > /dev/null 2>&1
--modprobe pppoe > /dev/null 2>&1
--fi
-+dnl modprobe ppp_generic > /dev/null 2>&1
-+dnl modprobe ppp_async > /dev/null 2>&1
-+dnl modprobe n_hdlc > /dev/null 2>&1
-+dnl modprobe ppp_synctty > /dev/null 2>&1
-+dnl modprobe pppoe > /dev/null 2>&1
-+dnl fi
- AC_TRY_RUN([#include <sys/socket.h>
- #include <net/ethernet.h>
- #include <linux/if.h>
-@@ -180,7 +180,7 @@
- 
- dnl GCC warning level
- if test "$GCC" = yes; then
--      CFLAGS="$CFLAGS -Wall -Wstrict-prototypes -ansi"
-+      CFLAGS="$CFLAGS -Wall -Wstrict-prototypes -D_GNU_SOURCE"
- fi
- 
- dnl If we couldn't find pppd, die
-diff -Nru rp-pppoe-3.8.orig/src/plugin.c rp-pppoe-3.8/src/plugin.c
---- rp-pppoe-3.8.orig/src/plugin.c     2006-04-02 17:29:42.000000000 +0300
-+++ rp-pppoe-3.8/src/plugin.c  2007-01-05 00:08:41.000000000 +0200
-@@ -27,7 +27,6 @@
- static char const RCSID[] =
- "$Id$";
- 
--#define _GNU_SOURCE 1
- #include "pppoe.h"
- 
- #include "pppd/pppd.h"
-diff -Nru rp-pppoe-3.8.orig/src/relay.c rp-pppoe-3.8/src/relay.c
---- rp-pppoe-3.8.orig/src/relay.c      2006-04-02 17:29:42.000000000 +0300
-+++ rp-pppoe-3.8/src/relay.c   2007-01-05 00:08:46.000000000 +0200
-@@ -17,8 +17,6 @@
- static char const RCSID[] =
- "$Id$";
- 
--#define _GNU_SOURCE 1 /* For SA_RESTART */
--
- #include "relay.h"
- 
- #include <signal.h>

diff --git a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-gentoo-netscripts.patch 
b/net-dialup/rp-pppoe/files/rp-pppoe-3.8-gentoo-netscripts.patch
deleted file mode 100644
index c39e201..0000000
--- a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-gentoo-netscripts.patch
+++ /dev/null
@@ -1,150 +0,0 @@
-diff -Nru rp-pppoe-3.8.orig/configs/pppoe.conf rp-pppoe-3.8/configs/pppoe.conf
---- rp-pppoe-3.8.orig/configs/pppoe.conf       2006-04-02 17:29:41.000000000 
+0300
-+++ rp-pppoe-3.8/configs/pppoe.conf    2006-04-21 10:04:20.369308000 +0300
-@@ -21,6 +21,9 @@
- # When you configure a variable, DO NOT leave spaces around the "=" sign.
- 
- # Ethernet card connected to DSL modem
-+#
-+# NB: Gentoo overrides ETH when pppoe-start is called from the
-+# networking scripts.  This setting has no effect in that case.
- ETH=eth1
- 
- # PPPoE user name.  You may have to supply "@provider.com"  Sympatico
-@@ -86,8 +89,10 @@
- #   $PIDFILE       contains PID of pppoe-connect script
- #   $PIDFILE.pppoe contains PID of pppoe process
- #   $PIDFILE.pppd  contains PID of pppd process
--CF_BASE=`basename $CONFIG`
--PIDFILE="/var/run/$CF_BASE-pppoe.pid"
-+#
-+# NB: Gentoo overrides PIDFILE when pppoe-start is run from the
-+# networking scripts.  This setting has no effect in that case.
-+PIDFILE="/var/run/rp-pppoe.pid"
- 
- # Do you want to use synchronous PPP?  "yes" or "no".  "yes" is much
- # easier on CPU usage, but may not work for you.  It is safer to use
-diff -Nru rp-pppoe-3.8.orig/scripts/pppoe-connect.in 
rp-pppoe-3.8/scripts/pppoe-connect.in
---- rp-pppoe-3.8.orig/scripts/pppoe-connect.in 2006-04-02 17:29:42.000000000 
+0300
-+++ rp-pppoe-3.8/scripts/pppoe-connect.in      2006-04-21 10:04:20.369308000 
+0300
-@@ -62,12 +62,17 @@
-     ;;
- esac
- 
--if test ! -f "$CONFIG" -o ! -r "$CONFIG" ; then
-+# In Gentoo, CONFIG is a named pipe when pppoe is started by the
-+# network scripts.  Testing -r is allowed; testing -f is not.
-+if test ! -r "$CONFIG" ; then
-     echo "$0: Cannot read configuration file '$CONFIG'" >& 2
-     exit 1
- fi
--export CONFIG
--. $CONFIG
-+
-+# Read the named pipe (/dev/fd/foo) into a variable so we can use it
-+# again later (since reading once from the pipe will exhaust it)
-+CONFREAD=$(<$CONFIG)
-+eval "$CONFREAD"
- 
- PPPOE_PIDFILE="$PIDFILE.pppoe"
- PPPD_PIDFILE="$PIDFILE.pppd"
-diff -Nru rp-pppoe-3.8.orig/scripts/pppoe-start.in 
rp-pppoe-3.8/scripts/pppoe-start.in
---- rp-pppoe-3.8.orig/scripts/pppoe-start.in   2006-04-02 17:29:42.000000000 
+0300
-+++ rp-pppoe-3.8/scripts/pppoe-start.in        2006-04-21 10:04:20.369308000 
+0300
-@@ -1,4 +1,4 @@
--#!/bin/sh
-+#!/bin/bash
- # @configure_input@
- #***********************************************************************
- #
-@@ -113,12 +113,17 @@
-       ;;
- esac
- 
--if [ ! -f "$CONFIG" -o ! -r "$CONFIG" ] ; then
-+# In Gentoo, CONFIG is a named pipe when pppoe is started by the
-+# network scripts.  Testing -r is allowed; testing -f is not.
-+if [ ! -r "$CONFIG" ] ; then
-     $ECHO "$ME: Cannot read configuration file '$CONFIG'" >& 2
-     exit 1
- fi
--export CONFIG
--. $CONFIG
-+
-+# Read the named pipe (/dev/fd/foo) into a variable so we can use it
-+# again later (since reading once from the pipe will exhaust it)
-+CONFREAD=$(<$CONFIG)
-+eval "$CONFREAD"
- 
- # Check for command-line overriding of ETH and USER
- case "$#" in
-@@ -145,11 +150,11 @@
- 
- # Start the connection in the background unless we're debugging
- if [ "$DEBUG" != "" ] ; then
--    $CONNECT "$@"
-+    $CONNECT <(echo "$CONFREAD")
-     exit 0
- fi
- 
--$CONNECT "$@" > /dev/null 2>&1 &
-+$CONNECT <(echo "$CONFREAD") >/dev/null 2>&1 &
- CONNECT_PID=$!
- 
- if [ "$CONNECT_TIMEOUT" = "" -o "$CONNECT_TIMEOUT" = 0 ] ; then
-@@ -164,7 +169,7 @@
- # Monitor connection
- TIME=0
- while [ true ] ; do
--    @sbindir@/pppoe-status $CONFIG > /dev/null 2>&1
-+    @sbindir@/pppoe-status <(echo "$CONFREAD") >/dev/null 2>&1
- 
-     # Looks like the interface came up
-     if [ $? = 0 ] ; then
-diff -Nru rp-pppoe-3.8.orig/scripts/pppoe-status 
rp-pppoe-3.8/scripts/pppoe-status
---- rp-pppoe-3.8.orig/scripts/pppoe-status     2006-04-02 17:29:42.000000000 
+0300
-+++ rp-pppoe-3.8/scripts/pppoe-status  2006-04-21 10:04:20.369308000 +0300
-@@ -28,12 +28,17 @@
-       ;;
- esac
- 
--if [ ! -f "$CONFIG" -o ! -r "$CONFIG" ] ; then
-+# In Gentoo, CONFIG is a named pipe when pppoe is started by the
-+# network scripts.  Testing -r is allowed; testing -f is not.
-+if [ ! -r "$CONFIG" ] ; then
-     echo "$0: Cannot read configuration file '$CONFIG'" >& 2
-     exit 1
- fi
- 
--. $CONFIG
-+# Read the named pipe (/dev/fd/foo) into a variable so we can use it
-+# again later (since reading once from the pipe will exhaust it)
-+CONFREAD=$(<$CONFIG)
-+eval "$CONFREAD"
- 
- PPPOE_PIDFILE="$PIDFILE.pppoe"
- PPPD_PIDFILE="$PIDFILE.pppd"
-diff -Nru rp-pppoe-3.8.orig/scripts/pppoe-stop.in 
rp-pppoe-3.8/scripts/pppoe-stop.in
---- rp-pppoe-3.8.orig/scripts/pppoe-stop.in    2006-04-02 17:29:42.000000000 
+0300
-+++ rp-pppoe-3.8/scripts/pppoe-stop.in 2006-04-21 10:04:20.369308000 +0300
-@@ -31,12 +31,17 @@
-     CONFIG=/etc/ppp/pppoe.conf
- fi
- 
--if [ ! -f "$CONFIG" -o ! -r "$CONFIG" ] ; then
-+# In Gentoo, CONFIG is a named pipe when pppoe is started by the
-+# network scripts.  Testing -r is allowed; testing -f is not.
-+if [ ! -r "$CONFIG" ] ; then
-     echo "$ME: Cannot read configuration file '$CONFIG'" >& 2
-     exit 1
- fi
--export CONFIG
--. $CONFIG
-+
-+# Read the named pipe (/dev/fd/foo) into a variable so we can use it
-+# again later (since reading once from the pipe will exhaust it)
-+CONFREAD=$(<$CONFIG)
-+eval "$CONFREAD"
- 
- PPPOE_PIDFILE="$PIDFILE.pppoe"
- PPPD_PIDFILE="$PIDFILE.pppd"

diff --git a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-plugin-options.patch 
b/net-dialup/rp-pppoe/files/rp-pppoe-3.8-plugin-options.patch
deleted file mode 100644
index dec2276..0000000
--- a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-plugin-options.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-diff -Nru rp-pppoe-3.8.orig/configs/pppoe.conf rp-pppoe-3.8/configs/pppoe.conf
---- rp-pppoe-3.8.orig/configs/pppoe.conf       2006-04-02 17:29:41.000000000 
+0300
-+++ rp-pppoe-3.8/configs/pppoe.conf    2006-04-21 10:06:46.170420000 +0300
-@@ -115,7 +115,7 @@
- FIREWALL=NONE
- 
- # Linux kernel-mode plugin for pppd.  If you want to try the kernel-mode
--# plugin, use LINUX_PLUGIN=/etc/ppp/plugins/rp-pppoe.so
-+# plugin, use LINUX_PLUGIN=rp-pppoe.so
- LINUX_PLUGIN=
- 
- # Any extra arguments to pass to pppoe.  Normally, use a blank string
-diff -Nru rp-pppoe-3.8.orig/scripts/pppoe-connect.in 
rp-pppoe-3.8/scripts/pppoe-connect.in
---- rp-pppoe-3.8.orig/scripts/pppoe-connect.in 2006-04-02 17:29:42.000000000 
+0300
-+++ rp-pppoe-3.8/scripts/pppoe-connect.in      2006-04-21 10:06:58.951218750 
+0300
-@@ -197,7 +197,7 @@
- 
- # If we're using kernel-mode PPPoE on Linux...
- if test "$LINUX_PLUGIN" != "" ; then
--    PLUGIN_OPTS="plugin $LINUX_PLUGIN nic-$ETH"
-+    PLUGIN_OPTS="plugin $LINUX_PLUGIN"
-     if test -n "$SERVICENAME" ; then
-       PLUGIN_OPTS="$PLUGIN_OPTS rp_pppoe_service $SERVICENAME"
-     fi
-@@ -295,7 +295,7 @@
-       $SETSID $OVERRIDE_PPPD_COMMAND &
-       echo "$!" > $PPPD_PIDFILE
-     elif test "$LINUX_PLUGIN" != "" ; then
--      $SETSID $PPPD $PPP_STD_OPTIONS $DEMAND &
-+      $SETSID $PPPD $DEMAND $PPP_STD_OPTIONS &
-       echo "$!" > $PPPD_PIDFILE
-     else
-       $SETSID $PPPD pty "$PPPOE_CMD" \

diff --git a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-session-offset.patch 
b/net-dialup/rp-pppoe/files/rp-pppoe-3.8-session-offset.patch
deleted file mode 100644
index 8f53a1a..0000000
--- a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-session-offset.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-diff -Nru rp-pppoe-3.8.orig/src/pppoe-server.c rp-pppoe-3.8/src/pppoe-server.c
---- rp-pppoe-3.8.orig/src/pppoe-server.c       2006-04-02 17:29:42.000000000 
+0300
-+++ rp-pppoe-3.8/src/pppoe-server.c    2008-01-06 14:43:39.000000000 +0200
-@@ -1693,7 +1693,7 @@
-     }
-     if (PassUnitOptionToPPPD) {
-       argv[c++] = "unit";
--      sprintf(buffer, "%u", (unsigned int) (ntohs(session->sess) - 1 - 
SessOffset));
-+      sprintf(buffer, "%u", (unsigned int) (ntohs(session->sess) - 1));
-       argv[c++] = buffer;
-     }
-     argv[c++] = NULL;
-@@ -1776,7 +1776,7 @@
-     argv[c++] = "default-asyncmap";
-     if (PassUnitOptionToPPPD) {
-       argv[c++] = "unit";
--      sprintf(buffer, "%u", (unsigned int) (ntohs(session->sess) - 1 - 
SessOffset));
-+      sprintf(buffer, "%u", (unsigned int) (ntohs(session->sess) - 1));
-       argv[c++] = buffer;
-     }
-     argv[c++] = NULL;

diff --git a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-username-charset.patch 
b/net-dialup/rp-pppoe/files/rp-pppoe-3.8-username-charset.patch
deleted file mode 100644
index b504e84..0000000
--- a/net-dialup/rp-pppoe/files/rp-pppoe-3.8-username-charset.patch
+++ /dev/null
@@ -1,58 +0,0 @@
-diff -Nru rp-pppoe-3.8.orig/scripts/pppoe-setup.in 
rp-pppoe-3.8/scripts/pppoe-setup.in
---- rp-pppoe-3.8.orig/scripts/pppoe-setup.in   2006-04-02 17:29:42.000000000 
+0300
-+++ rp-pppoe-3.8/scripts/pppoe-setup.in        2006-04-21 10:09:08.411309500 
+0300
-@@ -86,11 +86,13 @@
-     $ECHO "USER NAME"
-     $ECHO ""
-     printf "%s" ">>> Enter your PPPoE user name (default $USER): "
--    read U
-+    read Uu
- 
--    if [ "$U" = "" ] ; then
--      U="$USER"
-+    if [ "$Uu" = "" ] ; then
-+      Uu="$USER"
-     fi
-+  
-+    U=`echo $Uu | sed -e "s/&/\\\\\&/g"`
- 
-     # Under Linux, "fix" the default interface if eth1 is not available
-     if test `uname -s` = "Linux" ; then
-@@ -221,7 +223,7 @@
-     $ECHO "** Summary of what you entered **"
-     $ECHO ""
-     $ECHO "Ethernet Interface: $E"
--    $ECHO "User name:          $U"
-+    $ECHO "User name:          $Uu"
-     if [ "$D" = "no" ] ; then
-       $ECHO "Activate-on-demand: No"
-     else
-@@ -288,7 +290,12 @@
- fi
- 
- # Some #$(*& ISP's use a slash in the user name...
--sed -e "s&^USER=.*&USER='$U'&" \
-+for SEP in ':' ';' '/' '!' '|' '_' '-' '@' ; do 
-+      if [ "$U" = `echo $U | sed "sI${SEP}II"` ]; then 
-+              break;
-+      fi
-+done
-+sed -e "s${SEP}^USER=.*${SEP}USER='$U'${SEP}"\
-     -e "s&^ETH=.*&ETH='$E'&" \
-     -e "s&^PIDFILE=.*&PIDFILE=\"$VARRUN/\$CF_BASE-pppoe.pid\"&" \
-     -e "s/^FIREWALL=.*/FIREWALL=$FIREWALL/" \
-@@ -337,10 +344,10 @@
-     cp /dev/null /etc/ppp/chap-secrets-bak
- fi
- 
--egrep -v "^$U|^\"$U\"" /etc/ppp/pap-secrets-bak > /etc/ppp/pap-secrets
--$ECHO "\"$U\" *       \"$PWD1\"" >> /etc/ppp/pap-secrets
--egrep -v "^$U|^\"$U\"" /etc/ppp/chap-secrets-bak > /etc/ppp/chap-secrets
--$ECHO "\"$U\" *       \"$PWD1\"" >> /etc/ppp/chap-secrets
-+egrep -v "^$Uu|^\"$Uu\"" /etc/ppp/pap-secrets-bak > /etc/ppp/pap-secrets
-+$ECHO "\"$Uu\"        *       \"$PWD1\"" >> /etc/ppp/pap-secrets
-+egrep -v "^$Uu|^\"$Uu\"" /etc/ppp/chap-secrets-bak > /etc/ppp/chap-secrets
-+$ECHO "\"$Uu\"        *       \"$PWD1\"" >> /etc/ppp/chap-secrets
- 
- $ECHO ""
- $ECHO ""

diff --git a/net-dialup/rp-pppoe/rp-pppoe-3.11-r2.ebuild 
b/net-dialup/rp-pppoe/rp-pppoe-3.11-r2.ebuild
deleted file mode 100644
index 8e8b122..0000000
--- a/net-dialup/rp-pppoe/rp-pppoe-3.11-r2.ebuild
+++ /dev/null
@@ -1,92 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit eutils flag-o-matic autotools
-
-PPP_P="ppp-2.4.7"
-
-DESCRIPTION="A user-mode PPPoE client and server suite for Linux"
-HOMEPAGE="http://www.roaringpenguin.com/pppoe/";
-SRC_URI="http://www.roaringpenguin.com/files/download/${P}.tar.gz
-       ftp://ftp.samba.org/pub/ppp/${PPP_P}.tar.gz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sh ~sparc ~x86"
-IUSE="X"
-
-RDEPEND="net-dialup/ppp
-       X? ( dev-lang/tk )"
-# see bug #230491
-DEPEND="|| ( <sys-kernel/linux-headers-2.6.24 
>=sys-kernel/linux-headers-2.6.25 )
-       ${RDEPEND}"
-
-src_prepare() {
-       # Patch to enable integration of pppoe-start and pppoe-stop with
-       # baselayout-1.11.x so that the pidfile can be found reliably per 
interface
-       epatch "${FILESDIR}/${PN}-3.10-gentoo-netscripts.patch"
-
-       epatch "${FILESDIR}/${PN}-3.10-username-charset.patch" # bug 82410
-       epatch "${FILESDIR}/${PN}-3.10-plugin-options.patch"
-       epatch "${FILESDIR}/${PN}-3.10-autotools.patch"
-       epatch "${FILESDIR}/${PN}-3.10-session-offset.patch" # bug 204476
-       has_version '<sys-kernel/linux-headers-2.6.35' && \
-               epatch "${FILESDIR}/${PN}-3.10-linux-headers.patch" #334197
-       epatch "${FILESDIR}/${PN}-3.10-posix-source-sigaction.patch"
-       epatch "${FILESDIR}/${PN}-3.11-gentoo.patch"
-
-       cd "${S}"/src || die
-       eautoreconf
-}
-
-src_configure() {
-       addpredict /dev/ppp
-
-       cd "${S}/src" || die
-       econf --enable-plugin=../../${PPP_P}
-}
-
-src_compile() {
-       cd "${S}/src" || die
-       emake
-
-       if use X; then
-               make -C "${S}/gui" || die "gui make failed"
-       fi
-}
-
-src_install () {
-       cd "${S}/src" || die
-       emake DESTDIR="${D}" docdir=/usr/share/doc/${PF} install
-
-       #Don't use compiled rp-pppoe plugin - see pkg_preinst below
-       local pppoe_plugin="${D}/etc/ppp/plugins/rp-pppoe.so"
-       if [ -f "${pppoe_plugin}" ] ; then
-               rm "${pppoe_plugin}" || die
-       fi
-
-       if use X; then
-               emake -C "${S}/gui" \
-                       DESTDIR="${D}" \
-                       datadir=/usr/share/doc/${PF}/ \
-                       install
-               dosym /usr/share/doc/${PF}/tkpppoe /usr/share/tkpppoe
-       fi
-}
-
-pkg_preinst() {
-       # Use the rp-pppoe plugin that comes with net-dialup/pppd
-       local PPPD_VER=$(best_version net-dialup/ppp)
-       PPPD_VER=${PPPD_VER#*/*-} #reduce it to ${PV}-${PR}
-       PPPD_VER=${PPPD_VER%%-*} #reduce it to ${PV}
-       if [ -n "${PPPD_VER}" ] && [ -f 
"${ROOT}/usr/lib/pppd/${PPPD_VER}/rp-pppoe.so" ] ; then
-               dosym /usr/lib/pppd/${PPPD_VER}/rp-pppoe.so 
/etc/ppp/plugins/rp-pppoe.so
-       fi
-}
-
-pkg_postinst() {
-       elog "Use pppoe-setup to configure your dialup connection."
-}

diff --git a/net-dialup/rp-pppoe/rp-pppoe-3.8-r2.ebuild 
b/net-dialup/rp-pppoe/rp-pppoe-3.8-r2.ebuild
deleted file mode 100644
index 75b928e..0000000
--- a/net-dialup/rp-pppoe/rp-pppoe-3.8-r2.ebuild
+++ /dev/null
@@ -1,81 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-inherit eutils flag-o-matic autotools
-
-DESCRIPTION="A user-mode PPPoE client and server suite for Linux"
-HOMEPAGE="http://www.roaringpenguin.com/pppoe/";
-SRC_URI="http://www.roaringpenguin.com/penguin/pppoe/${P}.tar.gz
-       ftp://ftp.samba.org/pub/ppp/ppp-2.4.3.tar.gz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ~mips ppc ppc64 sh sparc x86"
-IUSE="X"
-
-RDEPEND="net-dialup/ppp
-       X? ( dev-lang/tk )"
-# see bug #230491
-DEPEND="|| ( <sys-kernel/linux-headers-2.6.24 
>=sys-kernel/linux-headers-2.6.25 )
-       ${RDEPEND}"
-
-src_unpack() {
-       unpack ${A} || die "failed to unpack"
-
-       # Patch to enable integration of pppoe-start and pppoe-stop with
-       # baselayout-1.11.x so that the pidfile can be found reliably per 
interface
-       epatch "${FILESDIR}/${P}-gentoo-netscripts.patch"
-
-       epatch "${FILESDIR}/${P}-username-charset.patch" # bug 82410
-       epatch "${FILESDIR}/${P}-plugin-options.patch"
-       epatch "${FILESDIR}/${P}-configure.patch"
-       epatch "${FILESDIR}/${P}-autoheader.patch"
-       epatch "${FILESDIR}/${P}-session-offset.patch" # bug 204476
-
-       cd "${S}"/src
-       eautoreconf
-}
-
-src_compile() {
-       addpredict /dev/ppp
-
-       cd "${S}/src"
-       econf --enable-plugin=../../ppp-2.4.3 || die "econf failed"
-       emake || die "emake failed"
-
-       if use X; then
-               make -C "${S}/gui" || die "gui make failed"
-       fi
-}
-
-src_install () {
-       cd "${S}/src"
-       make RPM_INSTALL_ROOT="${D}" docdir=/usr/share/doc/${PF} install \
-               || die "install failed"
-
-       #Don't use compiled rp-pppoe plugin - see pkg_preinst below
-       rm "${D}/etc/ppp/plugins/rp-pppoe.so"
-
-       prepalldocs
-
-       if use X; then
-               make -C "${S}/gui" install RPM_INSTALL_ROOT="${D}" \
-               datadir=/usr/share/doc/${PF}/ || die "gui install failed"
-               dosym /usr/share/doc/${PF}/tkpppoe /usr/share/tkpppoe
-       fi
-}
-
-pkg_preinst() {
-       # Use the rp-pppoe plugin that comes with net-dialup/pppd
-       local PPPD_VER=`best_version net-dialup/ppp`
-       PPPD_VER=${PPPD_VER#*/*-} #reduce it to ${PV}-${PR}
-       PPPD_VER=${PPPD_VER%%-*} #reduce it to ${PV}
-       if [ -n "${PPPD_VER}" ] && [ -f 
"${ROOT}/usr/lib/pppd/${PPPD_VER}/rp-pppoe.so" ] ; then
-               dosym /usr/lib/pppd/${PPPD_VER}/rp-pppoe.so 
/etc/ppp/plugins/rp-pppoe.so
-       fi
-}
-
-pkg_postinst() {
-       elog "Use pppoe-setup to configure your dialup connection."
-}

Reply via email to